// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI6C500K/24DSI6C500K_1.x.x.x_GSC_DN/samples/sw_sync/perform.c $
// $Rev: 52727 $
// $Date: 2023-04-03 14:03:46 -0500 (Mon, 03 Apr 2023) $

// 24DSI6C500K: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	time_t	end;
	int		errs	= 0;
	time_t	now;
	int		ret;

	errs	+= dsi6c500k_initialize		(args->fd, -1, 1);
	errs	+= dsi6c500k_control_mode	(args->fd, -1, 1, DSI6C500K_CONTROL_MODE_INITIATOR, NULL);
	errs	+= dsi6c500k_xcvr_type		(args->fd, -1, 1, args->xcvr, NULL);

	gsc_label("Working");
	printf("%d seconds ... ", args->seconds);
	fflush(stdout);
	end	= time(NULL) + args->seconds;

	for (; errs == 0;)
	{
		ret		= dsi6c500k_ioctl(args->fd, DSI6C500K_IOCTL_SW_SYNC, NULL);
		errs	= ret ? 1 : 0;
		now		= time(NULL);

		if (now > end)
			break;

		os_sleep_ms(2);
	}

	printf("Done\n");
	return(errs);
}



